Index: imaps-frontend/src/pages/Draw/Draw.jsx
===================================================================
--- imaps-frontend/src/pages/Draw/Draw.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/pages/Draw/Draw.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -1,3 +1,3 @@
-import { useContext, useEffect, useState } from "react";
+import {useContext, useEffect, useState} from "react";
 import styles from "./Draw.module.css";
 import RoomModal from "../../components/Modals/RoomModal/RoomModal.jsx";
@@ -8,5 +8,5 @@
 import SaveMap from "../../components/SaveMap/SaveMap.jsx";
 import Logo from "../../components/Logo/Logo.jsx";
-import { Link, useNavigate, useParams, useSearchParams } from "react-router-dom";
+import {Link, useNavigate, useParams, useSearchParams} from "react-router-dom";
 import Profile from "../../components/Profile/Profile.jsx";
 import HttpService from "../../scripts/net/HttpService.js";
@@ -18,139 +18,135 @@
 import config from "../../scripts/net/netconfig.js";
 import ShapeRegistry from "../../scripts/util/ShapeRegistry.js";
+import {TopPanel} from "./TopPanel/TopPanel.jsx";
 
 function Draw() {
-  const { mapName } = useParams();
-  const { username } = useAppContext();
+    const {mapName} = useParams();
+    const {username} = useAppContext();
 
-  const [isPopupVisible, setIsPopupVisible] = useState(false);
-  const [errorMessage, setErrorMessage] = useState("Error");
-  const [hasError, setHasError] = useState(false);
-  const [searchParams, setSearchParams] = useSearchParams();
+    const [isPopupVisible, setIsPopupVisible] = useState(false);
+    const [errorMessage, setErrorMessage] = useState("Error");
+    const [hasError, setHasError] = useState(false);
+    const [searchParams, setSearchParams] = useSearchParams();
 
-  const[roomTypes,setRoomTypes] = useState([]);
+    const [roomTypes, setRoomTypes] = useState([]);
 
-  const {app,floors,saveFloor,setFloors} = useMapLoader(mapName,username,searchParams,setSearchParams)
-  const {addRoomType} = useRoomTypesLoader(setRoomTypes,mapName,username);
+    const {app, floors, saveFloor, setFloors} = useMapLoader(mapName, username, searchParams, setSearchParams)
+    const {addRoomType} = useRoomTypesLoader(setRoomTypes, mapName, username);
 
-  const addFloorHandler = async (newFloorNum) => {
-    const httpService = new HttpService();
-    httpService.setAuthenticated();
+    const addFloorHandler = async (newFloorNum) => {
+        const httpService = new HttpService();
+        httpService.setAuthenticated();
 
-    const payload = {
-      num: newFloorNum,
-      mapName: mapName,
+        const payload = {
+            num: newFloorNum,
+            mapName: mapName,
+        };
+
+        try {
+            await httpService.put(`${config.floors.add}`, payload);
+            console.log(`Added floor ${newFloorNum}`);
+            setFloors((prevFloors) => [...prevFloors, {num: newFloorNum}]);
+        } catch (error) {
+            console.error("Error adding floor:", error);
+        }
     };
 
-    try {
-      await httpService.put(`${config.floors.add}`, payload);
-      console.log(`Added floor ${newFloorNum}`);
-      setFloors((prevFloors) => [...prevFloors, { num: newFloorNum }]);
-    } catch (error) {
-      console.error("Error adding floor:", error);
-    }
-  };
+    const deleteFloorHandler = async (floorNum) => {
+        if (floorNum === 0) return
 
-  const deleteFloorHandler = async (floorNum) => {
-    if(floorNum === 0) return
+        const httpService = new HttpService();
+        httpService.setAuthenticated();
 
-    const httpService = new HttpService();
-    httpService.setAuthenticated();
+        try {
+            await httpService.delete(`${config.floors.delete}?floorNum=${floorNum}&mapName=${mapName}`);
+            setFloors((prevFloors) => prevFloors.filter(f => f.num !== floorNum))
 
-    try {
-      await httpService.delete(`${config.floors.delete}?floorNum=${floorNum}&mapName=${mapName}`);
-      setFloors((prevFloors) => prevFloors.filter(f => f.num !== floorNum))
+            const currFloor = searchParams.get("floor");
+            if (currFloor == floorNum) {
+                setSearchParams({floor: "0"}, {replace: true})
+            }
+            console.log(`Deleted floor ${floorNum}`);
+        } catch (error) {
+            console.error("Error deleting floor:", error);
+        }
+    };
 
-      const currFloor = searchParams.get("floor");
-      if(currFloor == floorNum){
-        setSearchParams({floor:"0"},{replace:true})
-      }
-      console.log(`Deleted floor ${floorNum}`);
-    } catch (error) {
-      console.error("Error deleting floor:", error);
-    }
-  };
-
-  useEffect(() => {
-    return () => {
-      ShapeRegistry.clear();
-    }
-  }, []);
+    useEffect(() => {
+        return () => {
+            ShapeRegistry.clear();
+        }
+    }, []);
 
 
-  const handleSaveClick = async () => {
-    saveFloor().then(r => {
-     floors.forEach(flr => {
-       setIsPopupVisible(true);
-       setTimeout(() => {
-         setIsPopupVisible(false);},
-           3000);
-       console.log("floor after save: " + JSON.stringify(flr))
-     })
-    });
+    const handleSaveClick = async () => {
+        saveFloor()
+        setIsPopupVisible(true);
+        setTimeout(() => {
+                setIsPopupVisible(false);
+            },
+            3000);
+    };
 
+    return (
+        <div className={styles.wrapper} id="wrapper">
+            {/* <SideBar></SideBar> */}
+            <Logo></Logo>
+            <div id="container" className={styles.cont}></div>
+            <div className={styles.panel}>
+                <div className={styles.topPanelH}>
+                    <Profile position="inline"></Profile>
+                </div>
+                <Link to={`/myMaps/View/${mapName}`} className={styles.titleLink}>
+                    <h1 className={styles.title}>{mapName}</h1>
+                </Link>
+                <div className={styles.guideWrapper}>
+                    <DrawGuide/>
+                </div>
+                <hr/>
+                <br/>
+                {/* {<h2 className={styles.paragraph}>Objects:</h2>} */}
+                <ul className={styles.shapeOptions} id="shapeOptions">
+                    <li data-info="Entrance" className={`${styles.shapeOption} ${styles.entrance}`}></li>
+                    <li data-info="Wall" className={`${styles.shapeOption} ${styles.wall}`} id="wall"></li>
+                    <li data-info="Room" className={`${styles.shapeOption} ${styles.room}`} id="room"></li>
+                    <li data-info="Stairs" className={`${styles.shapeOption} ${styles.stairs}`} id="stairs"></li>
+                </ul>
+                <RoomTypeModal map={app} roomTypes={roomTypes} addRoomTypeDB={addRoomType}></RoomTypeModal>
+                <br/>
+                <hr/>
+                <br/>
+                <FloorSelector floorConfig={{
+                    floors, searchParams,
+                    setSearchParams, addFloorHandler,
+                    deleteFloorHandler
+                }}></FloorSelector>
 
-  };
+                <br/>
 
-  return (
-    <div className={styles.wrapper} id="wrapper">
-      {/* <SideBar></SideBar> */}
-      <Logo></Logo>
-      <div id="container" className={styles.cont}></div>
-      <div className={styles.panel}>
-        <div className={styles.topPanelH}>
-          <Profile position="inline"></Profile>
+                <hr/>
+                <br/>
+                {hasError && <p style={{color: "red", textAlign: "center"}}>{errorMessage}</p>}
+                <div className={styles.templateCont}>
+                    <SaveMap submitHandler={handleSaveClick}></SaveMap>
+                </div>
+
+                <div className={styles.hide}>
+                    <RoomModal map={app} roomTypes={roomTypes}></RoomModal>
+                    <EntranceModal map={app}></EntranceModal>
+                    <InfoPinModal map={app}></InfoPinModal>
+                    <StairsModal map={app}></StairsModal>
+                </div>
+            </div>
+
+            {isPopupVisible && (
+                <div className={styles.popup}>
+                    <div className={styles.popupContent}>
+                        <h2>Map Saved!</h2>
+                        <p>Your map has been successfully saved.</p>
+                    </div>
+                </div>
+            )}
         </div>
-        <Link to={`/myMaps/${mapName}/View`} className={styles.titleLink}>
-          <h1 className={styles.title}>{mapName}</h1>
-        </Link>
-        <div className={styles.guideWrapper}>
-          <DrawGuide/>
-        </div>
-        <hr/>
-        <br/>
-        {/* {<h2 className={styles.paragraph}>Objects:</h2>} */}
-        <ul className={styles.shapeOptions} id="shapeOptions">
-          <li data-info="Entrance" className={`${styles.shapeOption} ${styles.entrance}`}></li>
-          <li data-info="Wall" className={`${styles.shapeOption} ${styles.wall}`} id="wall"></li>
-          <li data-info="Room" className={`${styles.shapeOption} ${styles.room}`} id="room"></li>
-          <li data-info="Stairs" className={`${styles.shapeOption} ${styles.stairs}`} id="stairs"></li>
-        </ul>
-        <RoomTypeModal map={app} roomTypes={roomTypes} addRoomTypeDB={addRoomType}></RoomTypeModal>
-        <br/>
-        <hr/>
-        <br/>
-        <FloorSelector floorConfig={{
-          floors,searchParams,
-          setSearchParams,addFloorHandler,
-          deleteFloorHandler
-        }}></FloorSelector>
-
-        <br/>
-
-        <hr/>
-        <br/>
-        {hasError && <p style={{color: "red", textAlign: "center"}}>{errorMessage}</p>}
-        <div className={styles.templateCont}>
-          <SaveMap submitHandler={handleSaveClick}></SaveMap>
-        </div>
-
-        <div className={styles.hide}>
-          <RoomModal map={app} roomTypes={roomTypes}></RoomModal>
-          <EntranceModal map={app}></EntranceModal>
-          <InfoPinModal map={app}></InfoPinModal>
-          <StairsModal map={app}></StairsModal>
-        </div>
-      </div>
-
-      {isPopupVisible && (
-          <div className={styles.popup}>
-            <div className={styles.popupContent}>
-              <h2>Map Saved!</h2>
-              <p>Your map has been successfully saved.</p>
-            </div>
-          </div>
-      )}
-    </div>
-  );
+    );
 }
 
Index: imaps-frontend/src/pages/Draw/TopPanel/TopPanel.jsx
===================================================================
--- imaps-frontend/src/pages/Draw/TopPanel/TopPanel.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/pages/Draw/TopPanel/TopPanel.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,10 @@
+import {Button} from "../../IMaps/components/Button.jsx";
+
+export function TopPanel(){
+    return (
+        <div>
+            <Button>Efficient Drawing</Button>
+            <Button>Rotate 90</Button>
+        </div>
+    )
+}
Index: imaps-frontend/src/pages/IMaps/components/Cards.jsx
===================================================================
--- imaps-frontend/src/pages/IMaps/components/Cards.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/pages/IMaps/components/Cards.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -19,5 +19,5 @@
               text="Create intricate floor plans for your building with precision and ease."
               label="Create"
-              path="/services"
+              path="#"
             />
             <CardItem
@@ -25,5 +25,5 @@
               text="Explore and navigate through complex building layouts seamlessly."
               label="Explore"
-              path="/services"
+              path="#"
             />
           </ul>
@@ -33,5 +33,5 @@
               text="Add custom icons, labels, and markers to personalize your indoor maps."
               label="Customize"
-              path="/services"
+              path="#"
             />
             <CardItem
@@ -39,5 +39,5 @@
               text="Ensure accessibility by mapping out routes and facilities for all users."
               label="Accessibility"
-              path="/products"
+              path="#"
             />
             <CardItem
@@ -45,5 +45,5 @@
               text="Share your maps with others and collaborate in real-time for efficient space planning."
               label="Collaboration"
-              path="/sign-up"
+              path="#"
             />
           </ul>
Index: imaps-frontend/src/pages/IMaps/components/Footer.jsx
===================================================================
--- imaps-frontend/src/pages/IMaps/components/Footer.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/pages/IMaps/components/Footer.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -2,10 +2,11 @@
 import "./Footer.css";
 import { Button } from "./Button";
-import logo from "../../../assets/logo_icon.png";
+import logo from "../../../assets/novo_logo_nobg_cropped.png";
+import {Link} from "react-router-dom";
 
 function Footer() {
   return (
     <div className="footer-container">
-      {/* <div className="footer-links">
+      <div className="footer-links">
         <div className="footer-link-wrapper">
           <div className="footer-link-items">
@@ -13,45 +14,26 @@
             <a href="#">Contact</a>
             <a href="#">Support</a>
-            <a href="#">Destinations</a>
-            <a href="#">Sponsorships</a>
           </div>
         </div>
-        <div className="footer-link-wrapper">
-          <div className="footer-link-items">
-            <h2>Social Media</h2>
-            <a href="#">Instagram</a>
-            <a href="#">Facebook</a>
-            <a href="#">Youtube</a>
-            <a href="#">Twitter</a>
+          <div className="social-media-wrap">
+
+            <div className="footer-logo">
+              <img src={logo} alt={"logo"}/>
+            </div>
+            <small className="website-rights">iMaps © {2024}</small>
+          </div>
+        <div>
+          <div className="footer-link-wrapper">
+            <div className="footer-link-items">
+              <h2>Legal & Privacy</h2>
+              <Link to={"/privacy-policy"}>Privacy Policy</Link>
+              <Link to={"/terms-of-service"}>Terms Of Service</Link>
+
+            </div>
           </div>
         </div>
-      </div> */}
-      <section className="social-media">
-        <div className="social-media-wrap">
-          <div className="footer-logo">
-            <a href="#" className="social-logo">
-              iMaps
-            </a>
-          </div>
-          <small className="website-rights">iMaps © {2024}</small>
-          <div className="social-icons">
-            <a className="social-icon-link facebook" href="#" aria-label="Facebook">
-              <i className="fab fa-facebook-f" />
-            </a>
-            <a className="social-icon-link instagram" href="#" aria-label="Instagram">
-              <i className="fab fa-instagram" />
-            </a>
-            <a className="social-icon-link youtube" href="#" aria-label="Youtube">
-              <i className="fab fa-youtube" />
-            </a>
-            <a className="social-icon-link twitter" href="#" aria-label="Twitter">
-              <i className="fab fa-twitter" />
-            </a>
-            <a className="social-icon-link linkedin" href="#" aria-label="LinkedIn">
-              <i className="fab fa-linkedin" />
-            </a>
-          </div>
-        </div>
-      </section>
+
+      </div>
+
     </div>
   );
Index: imaps-frontend/src/pages/IMaps/components/Navbar.jsx
===================================================================
--- imaps-frontend/src/pages/IMaps/components/Navbar.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/pages/IMaps/components/Navbar.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -10,8 +10,4 @@
 function Navbar() {
   const [click, setClick] = useState(false);
-  const [button, setButton] = useState(true);
-
-  const handleClick = () => setClick(!click);
-  const closeMobileMenu = () => setClick(false);
 
   const { isAuthenticated } = useAppContext();
@@ -23,5 +19,4 @@
                 <div className="navbar-left">
                     <Logo position="relative"/>
-                    <h1 className="navbar-title">iMaps</h1>
                 </div>
 
Index: imaps-frontend/src/pages/IMaps/components/pages/Home.jsx
===================================================================
--- imaps-frontend/src/pages/IMaps/components/pages/Home.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/pages/IMaps/components/pages/Home.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -14,12 +14,12 @@
         <h2 className="description">Create and explore detailed indoor maps.</h2>
         <div className="hero-btns">
-          <Link to="/myMaps">
-            <Button className="btns" buttonSize="btn--large">
-              Create Maps
+          <Link to="/Maps">
+            <Button buttonSize="btn--large" >
+              Browse Maps <i className="far fa-play-circle" />
             </Button>
           </Link>
-          <Link to="/Maps">
-            <Button className="btns" buttonSize="btn--large">
-              Browse Maps <i className="far fa-play-circle" />
+          <Link to="/myMaps">
+            <Button buttonSize="btn--large" buttonStyle="btn--outline">
+              Create Maps
             </Button>
           </Link>
Index: imaps-frontend/src/pages/Login/Login.jsx
===================================================================
--- imaps-frontend/src/pages/Login/Login.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/pages/Login/Login.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -6,5 +6,8 @@
 import HttpService from "../../scripts/net/HttpService.js";
 import {useAppContext} from "../../components/AppContext/AppContext.jsx";
-import config from "../../scripts/net/netconfig.js";
+import config, {API_BASE_URL} from "../../scripts/net/netconfig.js";
+import google_icon from "../../assets/Logo-google-icon-PNG.png"
+import github_icon from "../../assets/github-mark-white.png";
+import { v4 as uuidv4 } from 'uuid';
 
 const LoginPage = () => {
@@ -26,8 +29,6 @@
     const handleLogin = async () => {
         const httpService = new HttpService();
-        return httpService.post(config.auth.login, payload)
-
+        return httpService.post(config.auth.login, payload);
     };
-
 
     const login = async (e) => {
@@ -37,9 +38,9 @@
             .then(resp => {
                 if (resp.token) {
-                    navigate(targetPath)
+                    navigate(targetPath);
                     localStorage.setItem("token", resp.token);
                     setUsername(resp.username);
                     setIsAuthenticated(true);
-                    console.log("ROLES",resp.roles)
+                    console.log("ROLES", resp.roles);
                 } else {
                     setError("Invalid username or password.");
@@ -47,32 +48,31 @@
             }).catch(reason => {
             console.error("Login failed", reason);
-            setError("Login failed. Please try again.")
-        })
+            setError("Login failed. Please try again.");
+        });
+    };
 
-        // fetch("http://localhost:8080/api/auth/login", {
-        //   method: "POST",
-        //   headers: {
-        //     "Content-Type": "application/json",
-        //   },
-        //   body: JSON.stringify(payload),
-        // })
-        //   .then((response) => {
-        //     if (!response.ok) {
-        //       throw new Error("Login failed: resp = " + response.statusText);
-        //     }
-        //     return response.json();
-        //   })
-        //   .then((data) => {
-        //     if (data.token) {
-        //       navigate(targetPath);
-        //       handleLogin(data);
-        //     } else {
-        //       setError("Invalid username or password.");
-        //     }
-        //   })
-        //   .catch((error) => {
-        //     console.error("Login failed", error);
-        //     setError("Login failed. Please try again.");
-        //   });
+    const continueWithGitHub = async () => {
+        const httpService = new HttpService();
+        httpService.setResponseType('text');
+        const state = await httpService.get(config.auth.oauth.github.state)
+        const clientId = 'Iv23liqzhX5wMYNDHtnz';
+        const redirectUri = encodeURI(`${API_BASE_URL}/oauth/callback/github`);
+
+        const githubAuthUrl = `https://github.com/login/oauth/authorize?client_id=${encodeURI(clientId)}&redirect_uri=${redirectUri}&state=${encodeURI(state)}&scope=user:email`;
+
+        window.location.href = githubAuthUrl;
+
+    };
+
+    const continueWithGoogle = async () => {
+        console.log("Continue with Google");
+        const httpService = new HttpService();
+        httpService.setResponseType('text');
+        const state = await httpService.get(config.auth.oauth.github.state)
+        const clientId = '1024418489231-ml40ukvqcg9ad1h5ejor5dm6ipt6p8fo.apps.googleusercontent.com';
+        const redirectUri = encodeURI(`${API_BASE_URL}/oauth/callback/google`);
+        const googleAuthUrl = `https://accounts.google.com/o/oauth2/v2/auth?client_id=${encodeURIComponent(clientId)}
+        &redirect_uri=${encodeURIComponent(redirectUri)}&state=${encodeURIComponent(state)}&response_type=code&scope=${encodeURIComponent("openid profile email")}`;
+        window.location.href = googleAuthUrl
     };
 
@@ -111,4 +111,15 @@
                     <button type="submit">Submit</button>
                 </form>
+                <div className={styles.or}>OR</div>
+                <div className={styles.socialButtons}>
+                    <button className={styles.socialButton} onClick={continueWithGoogle}>
+                        <img src={google_icon} alt="Facebook Icon" className={styles.socialIcon}/>
+                        Sign In With Google
+                    </button>
+                    <button className={styles.socialButton} onClick={continueWithGitHub}>
+                        <img src={github_icon} alt="GitHub Icon" className={styles.socialIcon}/>
+                        Sign In With GitHub
+                    </button>
+                </div>
                 <p>
                     Don't have an account? <Link to="/Signup"> Sign Up </Link>
Index: imaps-frontend/src/pages/MapView/MapView.jsx
===================================================================
--- imaps-frontend/src/pages/MapView/MapView.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/pages/MapView/MapView.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -14,8 +14,11 @@
 import ShapeRegistry from "../../scripts/util/ShapeRegistry.js";
 import {useAppContext} from "../../components/AppContext/AppContext.jsx";
+import Report from "../../components/Report/Report.jsx";
+import {Button} from "../IMaps/components/Button.jsx";
 
 const MapView = ({isPrivate}) => {
     const {mapName} = useParams();
     const {username} = useAppContext();
+    const {isAuthenticated} = useAppContext();
 
     const [mapLoaded, setMapLoaded] = useState(false);
@@ -28,4 +31,7 @@
     const [searchParams, setSearchParams] = useSearchParams();
     const [mainEntrance, setMainEntrance] = useState({});
+    const [canDisplayNavDownload,setCanDisplayNavDownload] = useState(false);
+    const [from,setFrom] = useState("");
+    const [to,setTo] = useState("");
 
     const defaultNavObj = {
@@ -115,4 +121,6 @@
                 setFloors(respFloors);
 
+                console.log("FLOOR DATA: " + tlFloor?.mapData)
+
                 appInstance.loadMapN(tlFloor?.mapData)
                 setApp(appInstance);
@@ -163,6 +171,11 @@
         const toEncoded = encodeURIComponent(toSearch).trimEnd()
 
+        setFrom(fromSearch);
+        setTo(toSearch);
+
         httpService.get(`${config.view_maps.navigate}?from=${fromEncoded}&to=${toEncoded}`).then(path => {
             app.drawRouteNEW(path);
+
+
         }).catch(reason => {
             console.log("err", reason)
@@ -185,4 +198,16 @@
     }
 
+    useEffect(() => {
+        const handleNavigateEnd = (event) => {
+            console.log("DETAIL END",event.detail)
+            setCanDisplayNavDownload(true);
+        }
+
+        window.addEventListener("navend",handleNavigateEnd)
+        return () => {
+            window.removeEventListener("navend",handleNavigateEnd)
+        }
+    }, [app]);
+
 
     useEffect(() => {
@@ -216,5 +241,4 @@
         app.loadMapN(chFloor.mapData)
         app.floorNum = floorNum;
-
 
         console.log(`Floor changed to: ${floorNum}`);
@@ -257,7 +281,20 @@
                                 handleFloorChange={handleFloorChange}
                             />
+                            {canDisplayNavDownload &&
+                                (<div className={styles.downloadRouteButton}>
+                                    <button onClick={() => {
+                                        app.getRouteImages({
+                                            mapName: mapName,
+                                            from: from,
+                                            to: to
+                                        })
+                                        setCanDisplayNavDownload(false)
+                                    }}> Download Route</button>
+                                </div>) }
                             <FilterBar map={app} roomTypes={roomTypes}/>
                         </div>
                     )}
+
+                    {isAuthenticated && <Report mapName = {mapName}></Report>}
                     <div className={styles.profileContainer}>
                         <Profile position="relative"/>
@@ -265,4 +302,5 @@
                 </div>
             </div>
+            <div id="temp"></div>
 
             <div className={styles.floorSelectorContainer}>
@@ -283,4 +321,5 @@
             </div>
 
+
         </div>
     );
